Skip to content
API referenceConsumerConsumer.vspaces

List members of a VSpace

GET
/consumer/v1/vspaces/{id}/members

Returns all device members currently attached to the selected VSpace, including their effective exit routes.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

VSpace ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/vspaces/44444444-4444-4444-4444-444444444444/members" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "data": [    {      "consumer_account_id": "22222222-2222-2222-2222-222222222222",      "device_id": "55555555-5555-5555-5555-555555555555",      "effective_exit_route": [        "77777777-7777-7777-7777-777777777777"      ],      "exit_route": [        "77777777-7777-7777-7777-777777777777"      ],      "ipv4_address": "100.101.0.14",      "ipv6_address": "fd7a:115c:a1e0:efe3::14",      "joined_at": "2026-04-12T09:50:00Z"    }  ],  "meta": {    "has_more": false,    "limit": 10,    "offset": 0,    "total": 1  }}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}